<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('bim_combines', function (Blueprint $table) {
            $table->id();
            $table->unsignedInteger('company_id')->index();
            $table->unsignedInteger('library_id')->comment('容器库id')->index();
            $table->unsignedInteger('created_by')->comment('创建者用户id')->index();
            $table->string("name")->comment('合模名称');
            $table->json("data")->comment('合模信息');
            $table->timestamps();

            $table->comment('合模信息表');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('bim_combines');
    }
};
